POSTunsafe_moveCall

Sui Mainnethttps://sui-mainnet.nodit.io/

Create an unsigned transaction to execute a Move call on the network, by calling the specified function in the module of a given package.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required
params[0]string

Hex string encoding.

params[1]string

Hex string encoding.

params[2]string

Hex string encoding.

params[3]string

Hex string encoding.

params[4]string[]

The type arguments of the Move function

params[5]string[]

The type arguments of the Move function

params[6]string

Hex string encoding.

params[7]string

Hex string encoding.

Responses
jsonrpcstring
idinteger
gasobject[]required

the gas objects to be used

digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

inputObjectsoneOf[]required

objects to be used in this transaction

object 1object
MovePackagestringrequired

Hex string encoding.

object 2object
ImmOrOwnedMoveObjectobjectrequired
digeststringrequired

Base64 string representing the object digest

objectIdstringrequired

Hex code as string representing the object id

versioninteger (uint64)required

Object version.

object 3object
SharedMoveObjectobjectrequired
idstringrequired

Hex string encoding.

initial_shared_versionstringrequired
mutableboolean
txBytesstringrequired

BCS serialized transaction data bytes without its type tag, as base-64 encoded string.

X-API-KEY
RequestCU150
cURL
curl -X POST "https://sui-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "unsafe_moveCall",
  "params": [
    "0x278ae6b78bddb5eea883f3aa128b825ec063fafc5c2efa3e6216a3ea612c3e29",
    "0x0000000000000000000000000000000000000000000000000000000000000002",
    "pay",
    "split",
    [
      "0x2::sui::SUI"
    ],
    [
      "0x2080166125903258dad22a13167c4baacede40abbb95a99b73e845700e9946ba",
      "1000000000"
    ],
    "0x0e0c17899d62db2c55e34a4166ccf43349c4f7820ddb9f1d6e42b336eb4cbb71",
    "10000000"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "string",
  "id": 0,
  "result": {
    "gas": [
      {
        "digest": "string",
        "objectId": "string",
        "version": 0
      }
    ],
    "inputObjects": [
      {}
    ],
    "txBytes": "string"
  }
}